Subject: Re: bug#79042: 29.4; dired-get-marked-files docstring is incorrect

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Jul 2025 14:10:17 +0300

> From: Sean McAfee <[email-masked]>
> Date: Sun, 20 Jul 2025 13:47:41 -0700
> Cc: [email-masked], [email-masked]
> 
> On Sat, Jul 19, 2025 at 3:06 AM Eli Zaretskii <[email-masked]> wrote:
> 
>  The previous behavior wasn't a bug.  The new special value of 'marked'
>  was introduced in support of the new user option
>  dired-mouse-drag-files, which needs to distinguish between the two
>  cases.  Since the special value 'marked' is new in Emacs 29, and used
>  only in a couple of places, I don't understand why you are saying that
>  it's "a pattern that's used in many other places".  How could that be
>  true?
> 
> The pattern I mentioned is that of a function modifying its behavior
> if it receives a "special distinguished value" for an argument; for
> example, an argument that is usually an integer may also be some
> special symbol value.
> 
> Look, long story short, when the first response said the report was
> "not a doc bug," I interpreted that to mean that the current docstring
> is correct, and dired-map-over-marks is not meant to do anything
> special if given the symbol "marked" for ARG, since the docstring
> doesn't mention it.  The second response still seemed somewhat
> ambiguous to me, since it offered a function my-marked-files-list
> that I could use instead of dired-get-marked-files.  Why would I
> want or need that, if the functionality of dired-get-marked-files
> weren't going to change?

I'm sorry about the confusion.  I understood that Drew was trying to
help you by showing a variant of an existing function which could
maybe solve a different use case.

>  In any case, I've updated (on the emacs-30 release branch) the doc
>  strings of the relevant functions with the effect of the special value
>  'marked'.  I think this is all we need to do in this bug.
> 
> Yes!  Thank you!  That is exactly what I wanted and expected to
> happen when I filed my bug.

OK, so I guess we can now close this bug?